Bug 2023345 - Crash with "Assertion '__pos <= size()' failed" when starting prusa-slicer with existing PrusaResearch.ini file
Summary: Crash with "Assertion '__pos <= size()' failed" when starting prusa-slicer wi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: prusa-slicer
Version: 35
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-15 13:23 UTC by Michael K Johnson
Modified: 2021-12-25 01:04 UTC (History)
2 users (show)

Fixed In Version: prusa-slicer-2.3.3-3.fc36 prusa-slicer-2.3.3-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-25 01:04:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael K Johnson 2021-11-15 13:23:08 UTC
Description of problem:

When starting prusa-slicer for the second or subsequent times, it crashes immediately with this error:

/usr/include/c++/11/bits/basic_string.h:1058: std::__cxx11::basic_string<_CharT, _Traits, _Alloc>::reference std::__cxx11::basic_string<_CharT, _Traits, _Alloc>::operator[](std::__cxx11::basic_string<_CharT, _Traits, _Alloc>::size_type) [with _CharT = char; _Traits = std::char_traits<char>; _Alloc = std::allocator<char>; std::__cxx11::basic_string<_CharT, _Traits, _Alloc>::reference = char&; std::__cxx11::basic_string<_CharT, _Traits, _Alloc>::size_type = long unsigned int]: Assertion '__pos <= size()' failed.


Removing the .config/PrusaSlicer/cache/PrusaResearch.ini file allows another successful run, after which I have to delete the .config/PrusaSlicer/cache directory again to use the slicer again.

This happens even if I move .config/PrusaSlicer out of the way and start over from scratch with a fresh configuration, so it's not an aspect of my configuration, as far as I can tell.


Version-Release number of selected component (if applicable):

prusa-slicer-2.3.1-5.fc35.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Start prusa-slicer
2. Exit prusa-slicer
3. Start prusa-slicer

Additional info:

Someone else reported upstream on Fedora 34 as https://github.com/prusa3d/PrusaSlicer/issues/7231 but this issue does not reproduce with their AppImage packages, either of 2.3.1 or their latest beta release, so it's reasonable to consider that it might be related to the Fedora build configuration.

Comment 1 Miro Hrončok 2021-11-15 13:51:32 UTC
Sounds like this only happens when compiled with -Wp,-D_GLIBCXX_ASSERTIONS.

Comment 2 Miro Hrončok 2021-11-30 13:18:53 UTC
This should remove -Wp,-D_GLIBCXX_ASSERTIONS as a workaround:

https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/11
https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/12

Could you give it a spin when it builds?

Comment 3 Michael K Johnson 2021-11-30 23:08:49 UTC
I confirm that https://kojipkgs.fedoraproject.org//work/tasks/6275/79436275/prusa-slicer-2.3.3-3.fc35.x86_64.rpm works around the problem; it no longer crashes.

Thank you!

Comment 4 Fedora Update System 2021-12-01 13:20:05 UTC
FEDORA-2021-1a6b827c46 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1a6b827c46

Comment 5 Fedora Update System 2021-12-01 13:21:45 UTC
FEDORA-2021-1a6b827c46 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-12-01 14:02:21 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 7 Fedora Update System 2021-12-01 14:02:35 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 8 Fedora Update System 2021-12-02 01:29:32 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cbd7b11d7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-12-09 06:52:46 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 10 Fedora Update System 2021-12-10 01:36:09 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cbd7b11d7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-12-10 08:16:20 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 12 Fedora Update System 2021-12-11 01:15:28 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cbd7b11d7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-12-25 01:04:23 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.